Gecode::PostTraceInfo Class Reference

Post trace information. More...

`#include <core.hpp>`

## Public Types

enum | Status { POSTED , FAILED , SUBSUMED }
| Post status. More...

## Public Member Functions

Status | status (void) const
| Return post status.
PropagatorGroup | group (void) const
| Return propagator group.
unsigned int | propagators (void) const
| Return number of posted propagators.

## Protected Member Functions

| PostTraceInfo (PropagatorGroup g, Status s, unsigned int n)
| Initialize.

## Protected Attributes

PropagatorGroup | g
| Propagator group.
Status | s
| Status.
unsigned int | n
| Number of posted propagators.

## Related Symbols

(Note that these are not member symbols.)
template<class Char, class Traits>
std::basic_ostream< Char, Traits > & | operator<< (std::basic_ostream< Char, Traits > &os, const PostTraceInfo &pti)
| Print post trace information.

## Detailed Description

Post trace information.

Definition at line 1032 of file core.hpp.

## Member Enumeration Documentation

## Status

enum Gecode::PostTraceInfo::Status

Post status.

Enumerator
POSTED | Propagator was posted.
FAILED | Posting failed.
SUBSUMED | Propagator not posted as already subsumed.

Definition at line 1037 of file core.hpp.

## Constructor & Destructor Documentation

## PostTraceInfo()

Gecode::PostTraceInfo::PostTraceInfo | ( | PropagatorGroup | g,
|  | Status | s,
|  | unsigned int | n )

inline protected

Initialize.

Definition at line 3434 of file core.hpp.

## Member Function Documentation

## status()

PostTraceInfo::Status Gecode::PostTraceInfo::status | ( | void |  | ) | const

inline

Return post status.

Definition at line 3441 of file core.hpp.

## group()

PropagatorGroup Gecode::PostTraceInfo::group | ( | void |  | ) | const

inline

Return propagator group.

Definition at line 3437 of file core.hpp.

## propagators()

unsigned int Gecode::PostTraceInfo::propagators | ( | void |  | ) | const

inline

Return number of posted propagators.

Definition at line 3445 of file core.hpp.

## Friends And Related Symbol Documentation

## operator<<()

template<class Char, class Traits>

std::basic_ostream< Char, Traits > & operator<< | ( | std::basic_ostream< Char, Traits > & | os,
|  | const PostTraceInfo & | pti )

related

Print post trace information.

Definition at line 1 of file print.hpp.

## Member Data Documentation

## g

PropagatorGroup Gecode::PostTraceInfo::g

protected

Propagator group.

Definition at line 1044 of file core.hpp.

## s

Status Gecode::PostTraceInfo::s

protected

Status.

Definition at line 1046 of file core.hpp.

## n

unsigned int Gecode::PostTraceInfo::n

protected

Number of posted propagators.

Definition at line 1048 of file core.hpp.

The documentation for this class was generated from the following files:

- gecode/kernel/core.hpp
- gecode/kernel/trace/print.hpp